Bug 430010 - If the fqdn is not the first name specified in /etc/hosts, the installer does not notify the admin
If the fqdn is not the first name specified in /etc/hosts, the installer does...
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
1.0
All Linux
high Severity high
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: freeipa10 429034
  Show dependency treegraph
 
Reported: 2008-01-24 01:43 EST by Chandrasekar Kannan
Modified: 2012-03-27 03:18 EDT (History)
5 users (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-27 03:18:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-01-24 01:43:27 EST
Ticket #93 (assigned defect)

Opened 2 months ago

Last modified 2 months ago
If the fqdn is not the first name specified in /etc/hosts, the installer does not notify the admin
Reported by: 	kmacmill 	Assigned to: 	kmacmill (accepted)
Priority: 	major 	Milestone: 	release-1
Component: 	ipa-server 	Version: 	
Keywords: 		Cc: 	
Description ¶

Description of problem: If the fqdn is not the first name specified in /etc/hosts for the server you are installing on, several tools will break. The installer needs to detect this misconfiguration and warn the admin. the entry in /etc/hosts needs to be of the following format: <machine ip> <machine fqdn> <machine name>

Version-Release number of selected component (if applicable):

How reproducible: I did a install with the following command: /usr/sbin/ipa-server-install -U --hostname=ipaqavm.dsqa.sjc2.redhat.com -r DSQA.SJC2.REDHAT.COM -p Secret123 -P Secret123 -a Secret123 --setup-bind -u admin -d My /etc/hosts looked like this: 127.0.0.1 localhost.localdomain localhost 10.14.0.110 ipaqavm ipaqavm.dsqa.sjc2.redhat.com

Actual results: The installer completed without any errors

Expected results: The installer to throw a error, and suggest a correct host entry.
Change History
2007-11-14 08:39:57 changed by kmacmill ¶

    * status changed from new to assigned.
Comment 5 Yi Zhang 2008-04-07 11:50:45 EDT
qa verified, bug closed
build used: 4-7-2008 daily build

Note You need to log in before you can comment on or make changes to this bug.